Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456316 - Review Request: netbeans-svnclientadapter - Subversion Client Adapter
Summary: Review Request: netbeans-svnclientadapter - Subversion Client Adapter
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 456337
TreeView+ depends on / blocked
 
Reported: 2008-07-22 19:25 UTC by Victor G. Vasilyev
Modified: 2008-08-14 11:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-14 11:31:08 UTC
bdpepple: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Patch to handle docs & minor clean-up (deleted)
2008-08-09 01:11 UTC, Brian Pepple
no flags Details | Diff

Description Victor G. Vasilyev 2008-07-22 19:25:52 UTC
Spec URL: http://nbi.netbeans.org/files/documents/210/2054/netbeans-svnclientadapter.spec
SRPM URL: http://nbi.netbeans.org/files/documents/210/2055/netbeans-svnclientadapter-6.1-1.fc10.src.rpm
Description: 
SVNClientAdapter is a high-level Java API for Subversion.
This is a NetBeans forked version of SvnClientAdapter.

Comment 1 Victor G. Vasilyev 2008-07-31 17:12:48 UTC
This is my first contribution so I need a sponsor please.

Comment 2 Brian Pepple 2008-08-07 19:22:45 UTC
MD5Sum:
4d6925a0dc7d95949325bd4d496e51cf  svnClientAdapter-nb6.0.1-src.zip

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Valid license tag
* Buildroot has all required elements
* All paths begin with macros
* Files have appropriate permissions and owners
* Package includes no pre-built jars
* jars files are located in %{_javadir}
* Package builds in koji/mock.
* Package installs and uninstalls cleanly

Bad:
* BR should include java-devel & jpackage-utils.  Refer to http://fedoraproject.org/wiki/Packaging/Java#BuildRequires_and_Requires
* Group Tag is not from the official list. http://fedoraproject.org/wiki/RPMGroups
* rpmlint produces the following warnings:
netbeans-svnclientadapter.noarch: W: no-documentation
netbeans-svnclientadapter.noarch: W: non-standard-group Development/Java

I would include the license.txt & readme.txt as %doc.

Comment 3 Victor G. Vasilyev 2008-08-08 18:19:31 UTC
The next release is prepared for review.
Spec URL:
http://www.netbeans.org/files/documents/210/2054/netbeans-svnclientadapter.spec
SRPM URL:
http://nbi.netbeans.org/files/documents/210/2100/netbeans-svnclientadapter-6.1-2.fc10.src.rpm

Changes:
* BR should include java-devel & jpackage-utils.
- java-devel & jpackage-utils are added as the build requirements
- jpackage-utils is added as the run-time requirement
* Group Tag is not from the official list. 
+ netbeans-svnclientadapter.noarch: W: non-standard-group Development/Java
- An appropriate value of Group Tag is chosen from the official list
* netbeans-svnclientadapter.noarch: W: no-documentation
- Both license.txt and readme.txt are added as the package documentation

Comment 4 Brian Pepple 2008-08-09 01:11:09 UTC
Created attachment 313860 [details]
Patch to handle docs & minor clean-up

Looks pretty good, though when we package documentation we use the %doc macro, instead of doing it manually.  I've attached a patch for your spec to fix this, and to also remove the Distribution tag since we don't use that.

+1 Approved.

Go ahead and set-up you account, and send me you account name and I'll sponsor you: http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account

Comment 5 Victor G. Vasilyev 2008-08-11 13:47:59 UTC
(In reply to comment #4)
> Created an attachment (id=313860) [details]
> Patch to handle docs & minor clean-up
The patch is applied and third release is published.
Spec URL:
http://www.netbeans.org/files/documents/210/2054/netbeans-svnclientadapter.spec
SRPM URL:
http://nbi.netbeans.org/files/documents/210/2103/netbeans-svnclientadapter-6.1-3.fc10.src.rpm

> Go ahead and set-up you account, and send me you account name and I'll sponsor
> you: http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account
My account is:
https://admin.fedoraproject.org/accounts/user/view/victorv

Comment 6 Brian Pepple 2008-08-11 14:08:01 UTC
OK, I've sponsored you, so you should be able to go to the next step:

http://fedoraproject.org/wiki/PackageMaintainers/Join#Add_Package_to_CVS_and_Set_Owner

Comment 7 Victor G. Vasilyev 2008-08-11 14:39:06 UTC
New Package CVS Request
=======================
Package Name: netbeans-svnclientadapter
Short Description: High-level Java API for Subversion, NetBeans version.
Owners: victorv
Branches: F-9
InitialCC:
Cvsextras Commits: yes

Comment 8 Brian Pepple 2008-08-11 15:09:55 UTC
Victor,

fyi, when you have a cvs request be sure to set to the fedora-cvs flag to '?', that way the cvs admins will be made aware of your request.

Comment 9 Kevin Fenzi 2008-08-11 17:35:31 UTC
cvs done.

Comment 10 Victor G. Vasilyev 2008-08-14 11:31:08 UTC
The Branch F-9 has been wrongly requested. It was removed from the cvs repository.

Koji shows successful build status:
http://koji.fedoraproject.org/koji/taskinfo?taskID=775851


Note You need to log in before you can comment on or make changes to this bug.